Skip to main content
POST
/
customers
/
payment-methods
/
{payment_method_id}
/
unenroll
Unenroll Payment Method
curl --request POST \
  --url https://api-sandbox.y.uno/v1/customers/payment-methods/{payment_method_id}/unenroll \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
"{\n    \"id\": \"77ee4a02-da3e-4a11-ac15-ba69e1813475\",\n    \"idempotency_key\": null,\n    \"account_id\": \"493e9374-510a-4201-9e09-de669d75f256\",\n    \"name\": \"VISA ****1111\",\n    \"description\": \"VISA ****1111\",\n    \"type\": \"CARD\",\n    \"category\": \"CARD\",\n    \"country\": \"US\",\n    \"status\": \"UNENROLLED\",\n    \"created_at\": \"2024-06-06T13:28:57.149530Z\",\n    \"updated_at\": \"2024-06-06T13:31:13.945554Z\",\n    \"enrollment\": {\n        \"session\": \"0685f1d6-11ff-4992-abc3-9eea1842205c\",\n        \"sdk_required_action\": true\n    },\n    \"provider\": {\n        \"id\": \"YUNO\",\n        \"type\": \"YUNO\",\n        \"provider_status\": null\n    },\n    \"verify\": {\n        \"vault_on_success\": false,\n        \"payment\": null\n    },\n    \"preferred\": null\n}"
Unenroll a previously saved payment method for a customer. To perform this action, provide the payment_method_id in the request path. Once the request is successful, the payment method’s status will be updated to UNENROLLED, making it inactive and no longer available for use in future transactions.

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Path Parameters

payment_method_id
string
required

The payment method id to unenroll (UUID, 36 chars).

Response

200

id
string
Example:

"77ee4a02-da3e-4a11-ac15-ba69e1813475"

idempotency_key
any
account_id
string
Example:

"493e9374-510a-4201-9e09-de669d75f256"

name
string
Example:

"VISA ****1111"

description
string
Example:

"VISA ****1111"

type
string
Example:

"CARD"

category
string
Example:

"CARD"

country
string
Example:

"US"

status
string
Example:

"UNENROLLED"

created_at
string
Example:

"2024-06-06T13:28:57.149530Z"

updated_at
string
Example:

"2024-06-06T13:31:13.945554Z"

enrollment
object
provider
object
verify
object
preferred
any